RAWFTODC(1)

NAME
rawftodc - ACR/NEMA DICOM PS3 ... Create DICOM from raw float file

SYNOPSIS

rawftodc -rows|-height|-h rows -columns|-width|-w cols [ -frames frames ] [ -scale scalefactor ] [ -componentoffset 0|1 ] [ -componentnumber 2 ] [ -little|-l|-big ] [ -samples samples ] [ -gray|-grey|-rgb|-argb|-hsv|-cmyk ] [ -photometric-interpretation xxx ] [ -color-by-pixel|-color-by-plane ] [ -v|verbose ]

DESCRIPTION

rawftodc reads the named raw input file and converts it to a 16-bit DICOM Secondary Capture Image Storage SOP Class instance stored in a DICOM file. Only uncompressed raw images with one sample per byte or word are supported, though multiple samples per pixel are allowed. The planar configuration can be specified but not re-ordered.

During the translation, specific attributes may be deleted, added or replaced, class and instance unique identifiers generated or removed, group lengths added, or private attributes removed, as specified by the replacement options described in dcintro(1). This allows the specification of additional DICOM attributes, such as the patient's name, necessary to make a complete and useful SC instance.

OPTIONS
The verbose output goes to standard error.

The basic switches are described in dcintro(1). Options specific to this program are:

-rows|-height|-h rows
    Required.

-columns|-width|-w cols
    Required.

-little|-big
    Required.

-frames frames
    Defaults to 1.

-scale scalefactor
    Normally the floating point values are truncated to 16 bit integers to create pixel values. A scale factor may be specified by which to multiply them before truncation. Defaults to 1.

-componentoffset 0|1
    Normally it is assumed there is one floating point value per pixel. When more than one component is specified by -componentnumber, then which component (first, second etc.) may be specified. Usually the first component of a complex pair is real, and the second imaginary. Defaults to 0 (first component).

-componentnumber 2
    Specifies that there is more than one floating point value per pixel, e.g. a complex pair of two components. Defaults to 1 (one component).

-samples samples
    Defaults to appropriate value for photometric interpretation, or 1 if none specified. Only needs to be specified for unusual photometric interpretations.

-gray|-grey|-rgb|-argb|-hsv|-cmyk
    Recognized photometric interpretations, defaults to gray if no samples specified or samples is 1, and rgb if samples is 3.

-photometric-interpretation xxx
    Explicitly specify string value for photometric interpretation attribute; will need value for samples.

-color-by-pixel|-color-by-plane
    Specifies the planar configuration. Required if samples not 1 (explicitly or deduced from photometric interpretation). No default.

ENVIRONMENT

EXAMPLES

FILES

SEE ALSO
dccp(1), dctoraw(1), pnmtodc(1), rawtodc(1), dciodvfy(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS